package com.ruoyi.sy.mapper;

import java.util.List;
import com.ruoyi.sy.domain.SyVocationalPost;

/**
 * 就业岗位Mapper接口
 * 
 * @author mingxue
 * @date 2022-03-30
 */
public interface SyVocationalPostMapper 
{
    /**
     * 查询就业岗位
     * 
     * @param id 就业岗位ID
     * @return 就业岗位
     */
    public SyVocationalPost selectSyVocationalPostById(Long id);

    /**
     * 查询就业岗位列表
     * 
     * @param syVocationalPost 就业岗位
     * @return 就业岗位集合
     */
    public List<SyVocationalPost> selectSyVocationalPostList(SyVocationalPost syVocationalPost);
    public List<SyVocationalPost> selectSyVocationalPostByVocationalCode(String code);

    /**
     * 新增就业岗位
     * 
     * @param syVocationalPost 就业岗位
     * @return 结果
     */
    public int insertSyVocationalPost(SyVocationalPost syVocationalPost);

    /**
     * 修改就业岗位
     * 
     * @param syVocationalPost 就业岗位
     * @return 结果
     */
    public int updateSyVocationalPost(SyVocationalPost syVocationalPost);

    /**
     * 删除就业岗位
     * 
     * @param id 就业岗位ID
     * @return 结果
     */
    public int deleteSyVocationalPostById(Long id);

    /**
     * 批量删除就业岗位
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteSyVocationalPostByIds(Long[] ids);
}
